cURL
curl --request POST \
--url https://app.teable.ai/api/table/%7BtableId%7D/field/%7BfieldId%7D/auto-fill \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"viewId":"viwXXXXXXX","filter":"string","orderBy":"string","groupBy":"string","ignoreViewQuery":"string","mode":"all"}'{
"taskId": "<string>",
"rowCount": 123,
"processedCount": 123,
"isLimited": true
}field
Auto-fill a field by AI
Automatically generate suggestions for filling a specific field
POST
/
table
/
{tableId}
/
field
/
{fieldId}
/
auto-fill
cURL
curl --request POST \
--url https://app.teable.ai/api/table/%7BtableId%7D/field/%7BfieldId%7D/auto-fill \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"viewId":"viwXXXXXXX","filter":"string","orderBy":"string","groupBy":"string","ignoreViewQuery":"string","mode":"all"}'{
"taskId": "<string>",
"rowCount": 123,
"processedCount": 123,
"isLimited": true
}授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
Set the view you want to fetch, default is first view. result will filter and sort by view options.
示例:
"viwXXXXXXX"
A filter object for complex query conditions based on fields, operators, and values. Use our visual query builder at https://app.teable.ai/developer/tool/query-builder to build filters.
An array of sort objects that specifies how the records should be ordered.
An array of group objects that specifies how the records should be grouped.
When a viewId is specified, configure this to true will ignore the view's filter, sort, etc
可用选项:
all, emptyOnly Last modified on March 5, 2026
此页面对您有帮助吗?
⌘I

